/*
 * @Author       : ChenJie
 * @Date         : 2022-01-23 13:45:09
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2022-01-23 17:58:54
 * @Description  : file content
 * @FilePath     : \PLAT\project\ec616_0h00\apps\qx_app\src\AT_CMD\AppGlobalVar.h
 */
/*
 * AppGlobal.h
 *
 *  Created on:
 *      Author: QiXiang_CHENJIE
 */
#ifndef APPGLOBALVAR_H_
#define APPGLOBALVAR_H_

#include "hal_adapter.h"

extern uint8 BleMacAddr[6];
extern uint8 BleTargetMacAddr[6];
extern uint8 BleCurrentRole;
extern uint8 BleSetRole;
extern uint8 BleSetRoleEnable;
extern uint8 BleConnectEnable;
extern uint8 BleConnectFlg;
extern uint8 BleDisconnectEnable;
extern uint8 BleDisconnectFlg;
extern uint8 BlePwrControlEnable;
extern uint8 BlePwrControlFlg;
extern uint8 BlePwrState;
extern uint32 BleVersion;
extern uint8 AT_MsgFlag;
extern QueueHandle_t McuDataSendHandle;
extern QueueHandle_t McuDataRecvHandle;
extern SemaphoreHandle_t ConnSemaphore;
extern SemaphoreHandle_t ConnSemaphore_wifi;
extern QueueHandle_t McuDataSend_wifi;
extern QueueHandle_t McuDataRecv_wifi;
extern uint8 wifiConnFlg;
extern uint8 wifiAskFlg ;
typedef struct
{
	uint8 RealLen;
    uint8 *DataPtr;
} QueueDataTrans_Type;

/*Can*/
extern uint8 CanIf_u8TxConfirmCnt;
extern boolean CanIf_bTxFlag;
extern uint8 CanIf_u8RxIndicationCnt;
extern boolean CanIf_bRxFlag;
extern QueueHandle_t CanRecvQueueHandle;
extern QueueHandle_t Uart2ToCanDataHandle;
extern QueueHandle_t CanToUart2DataHandle;
#endif /* APPGLOBALVAR_H_ */
