/*
 * @Author       : ChenJie
 * @Date         : 2022-01-19 09:44:48
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2022-01-23 16:07:23
 * @Description  : file content
 * @FilePath     : \PLAT\project\ec616_0h00\apps\qx_app\src\AT_CMD\AppTaskBle.h
 */
/*
 * AppTaskBle.h
 *
 *  Created on: 2022Äê1ÔÂ19ÈÕ
 *      Author: QiXiang_CHENJIE
 */

#ifndef APPTASKBLE_H_
#define APPTASKBLE_H_
#include "hal_adapter.h"
#include "AppGlobalVar.h"
#include "AppFuncLib.h"
typedef enum
{
    AT_Cmd_Test = 0,
    AT_GetMac,
    AT_NameChk,
    AT_NameSet,
    AT_AutoConnSet,
    AT_LogMsgSet,
    AT_RoleChk,
    AT_RoleSet,
    AT_Conn,
    AT_DisCon,
    AT_Reset
} BleAtCmd;

typedef sint8 (*pFunc)(uint8 *PSendStr, uint8 *ptr, BleAtCmd CmdIdx);
sint8 at_callbackFunc(uint8 *PSendStr, uint8 *ptr, BleAtCmd CmdIdx);

typedef struct
{
    BleAtCmd cmd;
    char *str;
    pFunc cb;
} BleAtCmdFunc_t;

extern const BleAtCmdFunc_t BleAtCmdFunc[];

void BleTask(void *pvParameters);
#endif /* APPTASKBLE_H_ */
