/*
 * USER_CONFIG.h
 *
 *  Created on: 2022427
 *      Author: Zhengchao
 */

#ifndef USER_CONFIG_H_
#define USER_CONFIG_H_

#endif /* USER_CONFIG_H_ */


/*define the CAN information */

#define CAN_BAUDRATE_250K 	(0)
#define CAN_BAUDRATE_500K 	(1)

#define CAN_MSG_STANDARD 	(0)
#define CAN_MSG_EXTENDED 	(1)

//the Default Configuration of CAN0 is Extended 250k, while CAN0 standard 250k only for WuLing project
#define CAN0_BAUDRATE CAN_BAUDRATE_250K
#define CAN0_MSG_TYPE CAN_MSG_STANDARD


#define CAN1_BAUDRATE CAN_BAUDRATE_500K
#define CAN1_MSG_TYPE CAN_MSG_STANDARD



/*define the uart0 information */
#define UART_BAUDRATE_9600 		(0)
#define UART_BAUDRATE_19200 	(1)
#define UART_BAUDRATE_115200 	(2)

#define UART0_BAUDRATE UART_BAUDRATE_9600




